import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataSnowflakeSystemGetSnowflakePlatformInfoConfig extends cdktf.TerraformMetaArguments {
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_snowflake_platform_info.html snowflake_system_get_snowflake_platform_info}.
 *
 * @stability stable
 */
export declare class DataSnowflakeSystemGetSnowflakePlatformInfo extends cdktf.TerraformDataSource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/snowflake/d/system_get_snowflake_platform_info.html snowflake_system_get_snowflake_platform_info} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataSnowflakeSystemGetSnowflakePlatformInfoConfig);
    /**
     * @stability stable
     */
    get awsVpcIds(): string[];
    /**
     * @stability stable
     */
    get azureVnetSubnetIds(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
